Bug 573721 - Review Request: javacc-maven-plugin - JavaCC Maven Plugin
Summary: Review Request: javacc-maven-plugin - JavaCC Maven Plugin
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mary Ellen Foster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-15 16:27 UTC by Alexander Kurtakov
Modified: 2010-03-23 20:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-23 20:26:44 UTC
mefoster: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Alexander Kurtakov 2010-03-15 16:27:40 UTC
Spec URL: http://akurtakov.fedorapeople.org/javacc-maven-plugin.spec
SRPM URL: http://akurtakov.fedorapeople.org/javacc-maven-plugin-2.6-1.fc12.src.rpm
Description: Maven 2 Plugin for processing JavaCC grammar files.

Comment 1 Mary Ellen Foster 2010-03-15 16:32:42 UTC
(Assigning it to myself so I don't forget ...)

Comment 2 Peter Lemenkov 2010-03-15 17:29:23 UTC
*-javadoc must require jpackage-utils ( %{_javadocdir} owner)

Comment 3 Mary Ellen Foster 2010-03-16 15:51:57 UTC
Review:
OK: rpmlint must be run on every package. Output:
javacc-maven-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/javacc-maven-plugin
javacc-maven-plugin.src: W: invalid-url Source0: javacc-maven-plugin-2.6.tar.bz2
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

False positives

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL.
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK: All build dependencies must be listed in BuildRequires
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates.
OK: A Fedora package must not list a file more than once in the spec file's
%files listings.
OK: Permissions on files must be set properly.
OK: Each package must have a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content.
OK: Packages must not own files or directories already owned by other packages.
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK: All filenames in rpm packages must be valid UTF-8.

In addition to the issue mentioned in comment #2, the main package should also Require(post), Require(postun), and just generally Require jpackage-utils (the first two for %update_maven_depmap, the last for directory ownership)

Other than that, looks good.

Comment 4 Alexander Kurtakov 2010-03-17 13:24:00 UTC
(In reply to comment #3)
> In addition to the issue mentioned in comment #2, the main package should also
> Require(post), Require(postun), and just generally Require jpackage-utils (the
> first two for %update_maven_depmap, the last for directory ownership)
> 
All fixed.
New sources:
Spec URL: http://akurtakov.fedorapeople.org/javacc-maven-plugin.spec
SRPM URL:
http://akurtakov.fedorapeople.org/javacc-maven-plugin-2.6-2.fc12.src.rpm

Comment 5 Mary Ellen Foster 2010-03-17 15:56:45 UTC
Looks good to me now -- APPROVED

Comment 6 Alexander Kurtakov 2010-03-17 16:12:35 UTC
New Package CVS Request
=======================
Package Name: javacc-maven-plugin
Short Description: JavaCC Maven Plugin
Owners: 
Branches: F-13
InitialCC:

Comment 7 Kevin Fenzi 2010-03-17 18:23:56 UTC
There's no owner set? 

(I assume it's going to be you, but our script doesn't grok that). 

Can you update and reset the flag when you are ready?

Comment 8 Alexander Kurtakov 2010-03-17 18:34:21 UTC
New Package CVS Request
=======================
Package Name: javacc-maven-plugin
Short Description: JavaCC Maven Plugin
Owners: akurtakov
Branches: F-13
InitialCC:

Comment 9 Kevin Fenzi 2010-03-19 19:59:43 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Alexander Kurtakov 2010-03-23 20:26:44 UTC
Built inrawhide.


Note You need to log in before you can comment on or make changes to this bug.